JasperException and javax.el.ELException when running under Jetty

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

JasperException and javax.el.ELException when running under Jetty

Phil404
I have a Struts2 application which works fine under Tomcat 5.5.23 but when I run it under Jetty 6.0.2, I get the following error when I display a particular JSP page:

/WEB-INF/pages/assessment/questions.jsp(33,20) PWC6038: "%{#{5:''}}" contains invalid expression(s): javax.el.ELException: Error Parsing: %{#{5:''}}

I don't understand this error since this is an expression which should be evaluated by struts not by the JSP EL.   Is there some Jetty configuration option I'm missing?

Phil

Reply | Threaded
Open this post in threaded view
|

Re: JasperException and javax.el.ELException when running under Jetty

Phil404
Sorry, I should have indicated that I'm using the Maven Jetty Plugin

Phil
Reply | Threaded
Open this post in threaded view
|

Re: JasperException and javax.el.ELException when running under Jetty

jan_bartel
Phil,

You don't say which version of the jvm are you using, jdk1.4 or jdk1.5.
This affects whether you are using jsp2.0 or jsp2.1. If jsp2.1, then
release 6.0.2 was many moons ago, and the version of jsp engine has been
updated many times since then, so you should really try with a more recent
jetty release - 6.1.6rc1 would be ideal.

regards
Jan

Phil404 wrote:
> Sorry, I should have indicated that I'm using the Maven Jetty Plugin
>
> Phil
>


--
Jan Bartel, Webtide LLC | [hidden email] | http://www.webtide.com

-------------------------------------------------------------------------
This SF.net email is sponsored by: Splunk Inc.
Still grepping through log files to find problems?  Stop.
Now Search log events and configuration files using AJAX and a browser.
Download your FREE copy of Splunk now >> http://get.splunk.com/
_______________________________________________
Jetty-support mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jetty-support
Reply | Threaded
Open this post in threaded view
|

Re: JasperException and javax.el.ELException when running under Jetty

Phil404
Jan

I'm using JDK 1.5 and I have upgraded to Jetty 6.1.1 but I'm getting the same problem.  I think it is a JSP 2.1 issue. I will post when I find out more.

Phil